#!/usr/bin/perl

##libraries
use SOAP::Lite;
use Getopt::Long;

if ($ARGV[0] eq "-h" || $ARGV[0] eq "-help") {
	open HELP, "| more";
	print HELP <<End_of_Help;
###
###AUTHOR : jsgarcia
###	Send comments to regulondb@ccg.unam.mx
###
###NAME : ClientRegulongetRegulon.pl
###
###VERSION : version 1.0
###
###DESCRIPTION :
###	This is a client that call the Web service Regulon and its method getRegulon
###
###OUTPUT : String
###     TRANSCRIPTION FACTOR
###     Transcription Factor Name:
###     Conectivity:
###     Sensing Class:
###     Synonyms:
###     Gene Name:
###     Conformation:
###     Coregulators:
###     Notes:
###     REGULATION  (ponerlo como tabla)
###     Conformation
###     Function
###     Regulated Promoter
###     Regulated Genes
###     BS left position
###     BS right position
###     BS Center position
###     BS sequence
###     BS Evidence Code
###     BS Reference
###
###USAGE :
###     ClientRegulongetRegulon.pl -objectId ###
###
###OPTIONS :
###	-objectId
###
###DATE : 23/10/2010
###
###Requirements : SOAP::Lite library
###
End_of_Help
  close HELP;
  exit(0);
}
GetOptions (\%opts,'objectId=s');

&ReadArguments;

###calling the Web services

### getting the column names
my $method="getRegulon";
my $endPoint="http://regulondb.ccg.unam.mx/webservices/Regulon.jws?wsdl";

### getting the data
my $result= SOAP::Lite
	-> service($endPoint)
    	-> $method($opts{objectId});

	print $result;

	print "\n";

#### Read Arguments
sub ReadArguments {
	if ($opts{objectId} eq''){
		print ("Needs the -objectId parameter \n");
		exit(0);
	}
}
